Subject: [PATCH] crypto: allow to assign gfp_t for __crypto_alloc_tfm

From: [email-masked] (Theodore Ts'o)
Date: Wed, 20 May 2015 10:59:01 -0400

On Wed, May 20, 2015 at 09:21:20AM +0200, Steffen Klassert wrote:
> The current pcrypt version is used just for IPsec because it supports
> only AEAD type algorithms and does not support request backlog. But
> I have patches to support ablkcipher algorithms and request backlog.
> I could provide them if there is interest in it.

I don't know the crypto layer well enough, and I certainly don't know
how to deal with things like ARM CPU's with "big-little" architectures
to understand what we might need to do to power optimize things for
mobile handsets.  But if someone has time to look at this, that would
be great.

					- Ted